1(require 'package)
(setq package-enable-at-startup nil)
(setq package-archives '(("org"       . "http://orgmode.org/elpa/")
                         ("gnu"       . "http://elpa.gnu.org/packages/")
                         ("melpa"     . "https://melpa.org/packages/")
                         ;;("marmalade" . "http://marmalade-repo.org/packages/")
			 ))

(if (not package--initialized) 
    (package-initialize))

;; (package-refresh-contents)

;; Bootstrap `use-package'
(unless (package-installed-p 'use-package)
  (package-install 'use-package))

(unless (package-installed-p 'auto-package-update)
  (package-install 'auto-package-update))

(unless (package-installed-p 'centered-cursor-mode)
  (package-install 'centered-cursor-mode))

(unless (package-installed-p 'color-theme-sanityinc-tomorrow)
  (package-install 'color-theme-sanityinc-tomorrow))

(use-package try                             :ensure t)
(use-package magit                           :ensure t)
(use-package which-key                       :ensure t)
(use-package projectile                      :ensure t)
(use-package yasnippet                       :ensure t)
(use-package multiple-cursors                :ensure t)
(use-package htmlize                         :ensure t)
(use-package yaml-mode                       :ensure t)
(use-package css-mode                        :ensure t)
(use-package scss-mode                       :ensure t)
(use-package undo-tree                       :ensure t)
(use-package smex                            :ensure t)
(use-package markdown-mode                   :ensure t)
(use-package markdown-mode+                  :ensure t)
(use-package ox-hugo                         :ensure t)
(use-package ox-reveal                       :ensure t)
(use-package ox-pandoc                       :ensure t)
(use-package ob-browser                      :ensure t)
(use-package whitespace-cleanup-mode         :ensure t)
(use-package expand-region                   :ensure t)
(use-package openwith                        :ensure t)
(use-package ag                              :ensure t)
(use-package diredfl                         :ensure t)
(use-package highlight-indent-guides         :ensure t)
(use-package popup-kill-ring                 :ensure t)
(use-package ivy                             :ensure t)
(use-package flx                             :ensure t)
(use-package counsel                         :ensure t)
(use-package counsel-projectile              :ensure t)
(use-package ido-vertical-mode               :ensure t)
(use-package org-bullets                     :ensure t)
(use-package hydra                           :ensure t)
(use-package rainbow-mode                    :ensure t)
(use-package auto-complete                   :ensure t)
(use-package ido-completing-read+            :ensure t)
(use-package git-timemachine                 :ensure t)

